---
title: "Generate Tracking Links (batch)"
slug: "generatebatchlinks"
updated: 2024-07-08T15:39:05Z
published: 2024-07-08T15:39:05Z
canonical: "help.awin.com/generatebatchlinks"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://help.awin.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Generate Tracking Links (batch)
Post/publishers/{publisherId}/linkbuilder/generate-batch
Header parametersAuthorizationstring
accessToken
Path parameterspublisherIdinteger (int64) Required
publisherId
Query parametersaccessTokenstringRequired
access token
Body parameters
requestBody
Expand Allobjectrequests Array of object (GenerateBatchLink) objectadvertiserIdinteger (int64)
destinationUrlstring
parametersobject (Parameters)campaignstring
clickrefstring
clickref2string
clickref3string
clickref4string
clickref5string
clickref6string
Responses200
OK
object
The response is a JSON object containing a single field “responses” which is an array of objects. Each of those objects contains 2 fields: status (indicating the HTTP status code which would have resulted from the corresponding request being sent singularly), and body. The body is as detailed for a single request above. Additionally, this contains a request field, containing the corresponding request payload, to aid in correlating the responses with the original requests.
**Note**: If the response contains "status": 400, "destinationUrl": "deeplinkNotPermitted" for single advertisers, they do not allow the link builder.
It's currently not possible to generate short links via the batch generated endpoint